summaryrefslogtreecommitdiffstats
path: root/ci/openstack.sh
diff options
context:
space:
mode:
authornarindergupta <narinder.gupta@canonical.com>2016-08-22 15:01:20 -0400
committernarindergupta <narinder.gupta@canonical.com>2016-08-22 15:04:51 -0400
commite6f1836f6e7d344b69bacd4a57fec354b51a7888 (patch)
tree793052806d67420caef87bbefb71440466bb5382 /ci/openstack.sh
parent318c3e5aa6c0c78fca0fdeaf2533f14ffb9adc99 (diff)
modfied to cleanup copying of yaml files from .juju/
Change-Id: I1c44815b9b4217033034faf4a2880f5737f81fad Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci/openstack.sh')
-rwxr-xr-xci/openstack.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/ci/openstack.sh b/ci/openstack.sh
index 08f1548e..a76785bf 100755
--- a/ci/openstack.sh
+++ b/ci/openstack.sh
@@ -128,12 +128,14 @@ create_openrc
echo "...... deploy public api proxy ......"
if [ "$opnfvlab" == "orangepod1" ] && [ "$opnfvsdn" == "nosdn" ]; then # only for first test phase
- PUB_API_NET=$(grep floating-ip-range ./labconfig.yaml |cut -d/ -f2)
- PUB_API_IP=$(grep public-api-ip ./labconfig.yaml |cut -d: -f2)
- juju run --unit nodes/0 "sudo ip a a ${PUB_API_IP}/${PUB_API_NET} dev br-ex" || true
- juju run --unit nodes/0 "sudo ip l set dev br-ex up" || true
- python genPublicAPIProxyBundle.py -l labconfig.yaml >> bundles.yaml
- juju-deployer -vW -d -t 7200 -r 5 -c bundles.yaml $opnfvdistro-"$openstack" || true
+ if [ -e ./labconfig.yaml ]; then
+ PUB_API_NET=$(grep floating-ip-range ./labconfig.yaml |cut -d/ -f2)
+ PUB_API_IP=$(grep public-api-ip ./labconfig.yaml |cut -d: -f2)
+ juju run --unit nodes/0 "sudo ip a a ${PUB_API_IP}/${PUB_API_NET} dev br-ex" || true
+ juju run --unit nodes/0 "sudo ip l set dev br-ex up" || true
+ python genPublicAPIProxyBundle.py -l labconfig.yaml >> bundles.yaml
+ juju-deployer -vW -d -t 7200 -r 5 -c bundles.yaml $opnfvdistro-"$openstack" || true
+ fi
fi
echo "...... deploy end public api proxy ......"